# Interface methods for submodule: SegmentationLevelSetFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LevelSetFunctionProxy as _LevelSetFunctionProxy


# Interface methods for class: SegmentationLevelSetFunction
class SegmentationLevelSetFunctionProxy(_LevelSetFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetFeatureImage(self, f) -> None:
		""""""
		...

	def GetSpeedImage(self):
		""""""
		...

	def SetSpeedImage(self, s) -> None:
		""""""
		...

	def GetAdvectionImage(self):
		""""""
		...

	def SetAdvectionImage(self, s) -> None:
		""""""
		...

	def Initialize(self, r: Sequence[int]) -> None:
		""""""
		...

	def CalculateSpeedImage(self) -> None:
		""""""
		...

	def CalculateAdvectionImage(self) -> None:
		""""""
		...

	def AllocateSpeedImage(self) -> None:
		""""""
		...

	def AllocateAdvectionImage(self) -> None:
		""""""
		...

	def ReverseExpansionDirection(self) -> None:
		""""""
		...

